<?php 
//Bottom Header
    $wp_customize->add_section( 'peccular_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel1'
    ) );

$wp_customize->add_setting('peccular_footer_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_footer_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'peccular'),
  'description' => 'peccular_footer_reset_settings',
  'section' => 'peccular_footer_setting'
)));


   $wp_customize->add_setting('peccular_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
       'section' => 'peccular_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_footer_copyrighttext'
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'peccular_footer_section_bg_color',
                'peccular_footer_section_bg_image',
                'peccular_footer_image_opacity',
                'peccular_footer_box_align', 
                'peccular_footer_copyright_align',   
                'peccular_footer_onload_effects',  
                'peccular_footer_heading_color',
                'peccular_footer_text_color',
                'peccular_footer_icon_color',
                'peccular_footer_sicon_color',
                'peccular_footer_siconhover_color',
                'peccular_footer_siconbgbrdr_color',                
                'peccular_footer_menu_color',
                'peccular_footer_menuhover_color',
                'peccular_footer_activemenu_color',
                'peccular_footer_phoneemailtxt_color',                       
                'peccular_footer_phoneemailhv_color',
                'peccular_footer_bttmtext_color',
                'peccular_footer_siconbghv_color',
                'peccular_footer_phoneemailicon_color',
                'peccular_footer_phoneemailiconhv_color',
                'peccular_footer_phoneemailiconbg_color',
                'peccular_footer_phoneemailiconbghv_color',
                'peccular_footer_menuicon_color',
                'peccular_footer_formtext_color',
                'peccular_footer_formbg_color',
                'peccular_footer_formbtntext_color',
                'peccular_footer_formbtnbg_color',
                'peccular_contact_btnhovtext_color',
                'peccular_footer_formbtnbghov_color',
                'peccular_footer_formbtntexthov_color',
                'peccular_footer_shapebg_color',
                'peccular_footer_fotrbtmbrdr_color'

              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_footer_padding',
                'peccular_footer_section_top_t_padding',
                'peccular_footer_section_top_b_padding',
                'peccular_footer_padding1',
                'peccular_footer_section_bottom_t_padding',
                'peccular_footer_section_bottom_b_padding',     
                'peccular_footer_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Copyrights © 2022. All Rights Reserved', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
         'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);



//backgroundManager($wp_customize, 'footer', 'peccular_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
       'default' => '#bb8fe7',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    $wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    addColorPalatOption($wp_customize, 'peccular_footer_shapebg_color', 'peccular_footer_setting', 'Top Shape BG Color', '');


     $wp_customize->add_setting('peccular_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('peccular_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

$wp_customize->add_setting('peccular_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

       $wp_customize->add_setting('peccular_footer_copyright_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));


addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbgbrdr_color', 'peccular_footer_setting', 'Social Icon Border Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbghv_color', 'peccular_footer_setting', 'Social Icon BG Hover Color', '');

// addColorPalatOption($wp_customize, 'peccular_footer_menuicon_color', 'peccular_footer_setting', 'Menu Icon color', '');

addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_menuhover_color', 'peccular_footer_setting', 'Menu Hover Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Active Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formtext_color', 'peccular_footer_setting', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbg_color', 'peccular_footer_setting', 'Form BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtntext_color', 'peccular_footer_setting', 'Form Buttton Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtnbg_color', 'peccular_footer_setting', 'Form Buttton BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_formbtntexthov_color', 'peccular_footer_setting', 'Form Buttton Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_formbtnbghov_color', 'peccular_footer_setting', 'Form Buttton Hover BG Color ', '');

addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmbrdr_color', 'peccular_footer_setting', 'Footer Bottom Border Color ', '');




    $wp_customize->add_setting('peccular_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding',array(
      'label' => __('Top Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));


    $wp_customize->add_setting('peccular_footer_section_top_t_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_top_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding1',array(
      'label' => __('Bottom Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));


    $wp_customize->add_setting('peccular_footer_section_bottom_t_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_bottom_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
?>